Subject: Plant to identify

From: [email-masked] (Lee Altenberg)
Date: 15 Oct 1996 06:42:13 -0400

I need help in identifying a strange plant growing on my property here on Maui.
I have put pictures of the plant on my Web site for easy access:
http://pueo.mhpcc.edu/~altenber/PLANT/

A taxonomic identification, or pointers to where I might find someone
to help, will be greatly appreciated.
=======================================================================
Lee Altenberg, Ph.D.

Research Affiliate, University of Hawai`i at Manoa
Office:	Maui High Performance Computing Center
	550 Lipoa Parkway, Suite 100
	Kihei, Maui HI 96753
Phone:	(808) 879-5077 x 296 (work), (808) 879-5018 (fax)
E-mail: [email-masked] <NeXTMail and MIME: [email-masked]>
Web:	¬http://pueo.mhpcc.edu/~altenber/
=======================================================================